Simulating Guidewires in Blood Vessels using Cosserat Rod Theory |

Loading...
Searching...
No Matches
Private Member Functions | Private Attributes | List of all members
GuidewireSim.TorqueTestPerformer Class Reference
Inheritance diagram for GuidewireSim.TorqueTestPerformer:

## Private Member Functions
void | Awake ()
void | Start ()
void | PerformTorqueTests ()
void | PerformTorqueTestOne ()
IEnumerator | PerformTorqueTestTwo (Vector3 pullTorque, float applyTorqueTime=1f)
IEnumerator | PerformTorqueTestThree (Vector3 pullTorque, float applyTorqueTime=10f)

## Private Attributes
SimulationLoop | simulationLoop
| The SimulationLoop component that executes all steps of the simulation loop. More...
Vector3 | pullTorque = new Vector3(0f, 0.3f, 0f)
bool | doTorqueTestOne = false
| Whether to run Torque Test One. This test applies an external torque to one end of the guidewire. More...
bool | doTorqueTestTwo = false
bool | doTorqueTestThree = false

## Detailed Description

This class enables the user to test the impact of external torques with one button within the Unity inspector.

## Member Function Documentation

## ◆ Awake()

void GuidewireSim.TorqueTestPerformer.Awake | ( |  | ) |
| private

## ◆ PerformTorqueTestOne()

void GuidewireSim.TorqueTestPerformer.PerformTorqueTestOne | ( |  | ) |
| private

Performs torque test one. This test applies an external torque to one end of the guidewire.

## ◆ PerformTorqueTests()

void GuidewireSim.TorqueTestPerformer.PerformTorqueTests | ( |  | ) |
| private

Performs each Torque Test whose respective serialized boolean is set to true in the Unity inspector.

## ◆ PerformTorqueTestThree()

IEnumerator GuidewireSim.TorqueTestPerformer.PerformTorqueTestThree | ( | Vector3 | pullTorque,
|  | float | applyTorqueTime = `10f`
| ) |  |
| private

Performs torque test three. This test applies an external torque to one end of the guidewire and at the same time the opposite torque at the other end of the guidewire. The applied torque starts at 0 and linearly interpolates until it reaches `pullTorque` at `applyTorqueTime` seconds.

Parameters

  pullTorque | The external torque that is applied to one end of the guidewire.
  applyTorqueTime | For how many seconds to apply the torque to the orientations.

Requirements:
  Output a log message when no further torques are applied to the guidewire.

## ◆ PerformTorqueTestTwo()

IEnumerator GuidewireSim.TorqueTestPerformer.PerformTorqueTestTwo | ( | Vector3 | pullTorque,
|  | float | applyTorqueTime = `1f`
| ) |  |
| private

Performs torque test two. This test applies an external torque to one end of the guidewire for a fixed amount of time and then the opposite torque at the same orientation for the same amount of time.

Parameters

  pullTorque | The external torque that is applied to one end of the guidewire.
  applyTorqueTime | For how many seconds to apply the torque to the orientations.

Requirements:
  Output a log message when no further torques are applied to the guidewire.

## ◆ Start()

void GuidewireSim.TorqueTestPerformer.Start | ( |  | ) |
| private

## Member Data Documentation

## ◆ doTorqueTestOne

bool GuidewireSim.TorqueTestPerformer.doTorqueTestOne = false
| private

Whether to run Torque Test One. This test applies an external torque to one end of the guidewire.

## ◆ doTorqueTestThree

bool GuidewireSim.TorqueTestPerformer.doTorqueTestThree = false
| private

Whether to run Torque Test Three. This test applies an external torque to one end of the guidewire and at the same time the opposite torque at the other end of the guidewire. The applied torque starts at 0 and linearly interpolates until it reaches `pullTorque` at `applyTorqueTime` seconds.

## ◆ doTorqueTestTwo

bool GuidewireSim.TorqueTestPerformer.doTorqueTestTwo = false
| private

Whether to run Torque Test Two. This test applies an external torque to one end of the guidewire for a fixed amount of time and then the opposite torque at the same orientation for the same amount of time.

## ◆ pullTorque

Vector3 GuidewireSim.TorqueTestPerformer.pullTorque = new Vector3(0f, 0.3f, 0f)
| private

The external torque that is applied to the respective parts of the guidewire, depending on the test.

## ◆ simulationLoop

SimulationLoop GuidewireSim.TorqueTestPerformer.simulationLoop
| private

The SimulationLoop component that executes all steps of the simulation loop.

The documentation for this class was generated from the following file:

- TorqueTestPerformer.cs